Payment
payment.get
This is an API for acquiring settlement information.
API definitions
| REST Base URI | http://app.mbga-platform.jp/social/api/restful/v2 ( Service ) http://app.sb.mbga-platform.jp/social/api/restful/v2 ( Sandbox ) |
| REST HTTP Method | GET |
| REST URI Fragment | ``` payment/{userId}/{groupId}/{appId}{-prefix |
| REST Query Parameters | GetPayment-Request-Parameters |
| Return Object | Payment |
Approval
| type | permission | description |
|---|---|---|
| ANONYMOUS | false | Unauthorized access |
| SECURITY_TOKEN | false | Authorization using a security token |
| OAUTH_MOBILE | false | Authorization using an OAuth Token issued for a mobile device |
| OAUTH_CONSUMER | true | Authorization using a Consumer Request |
RESTful API response codes
| HTTP Status Code | HTTP Status Message | JSON-RPC Error Codes | Meaning |
|---|---|---|---|
| 200 | OK | – | Data successfully acquired |
| 400 | Bad Request | -32700, -32600, -32601, -32602, 400 | Corrupt request data on the client side |
| 401 | Unauthorized | 401 | Authorization error |
| 403 | Forbidden | 403 | The resource exists, but access is not possible due to a reason other than an authorization error |
| 404 | Not Found | 404 | The resource doesn’t exist |
| 405 | Method Not Allowed | 405 | That operation is not allowed |
| 500 | Internal Server Error | -32603 | An error on the API server side |
| 503 | Service Unavailable | – | The API cannot be used temporarily |
JSON-RPC error codes
These are values are included in the code field of the Error object when an error has occurred.
| RPC Code | Meaning |
|---|---|
| -32700 (Parse error) | Invalid JSON format |
| -32600 (Invalid Request) | Invalid JSON-RPC request |
| -32601 (Method not found) | The method either doesn’t exist or is an unusable method |
| -32602 (Invalid params) | Invalid API request parameters |
| -32603 (Internal server error) | An error on the API server side |
| 400 (Bad Request) | A bad request on the client side that does not correspond to any other error |
| 401 (Unauthorized) | Authorization error |
| 403 (Forbidden) | The resource exists, but access is not possible due to a reason other than an authorization error |
| 404 (Not Found) | The resource doesn’t exist |
| 405 (Method Not Allowed) | That operation is not allowed |
Data types
Get-Payment-Request-Parameters
UserId, groupId, appId and paymentId are specified as URI Template Parameters, and all other parameters are specified as Query String.
| Name | Type | Description |
|---|---|---|
| userId | UserId | Required |
| groupId | GroupId | Required Only '@self' is specifiable. |
| appId | AppId | Required Only '@app' is specifiable. |
| paymentId | PaymentId | Required UUID format |
Base data types
- Starndard-Request-Parameters
Starndard-Request-Parameters
The following is a list of the supported fields.
| Name | Type | Description |
|---|---|---|
| format | String | Optional Only 'json' is specifiable. |
See here for details.
Payment
| Name | Type | Description |
|---|---|---|
| id | String | The id value of the Payment object. In UUID format. |
| appId | Integer | The id of the application executing this settlement transaction. |
| userId | String | The guid of the user executing this settlement transaction. |
| status | Integer | The status value of this settlement transaction. |
| entry | Array | The PaymentEntry object collection. |
| callbackUrl | String | The URL for the notification of settlement completion on the partner side (for mobile) |
| finishUrl | String | The URL for the settlement completion screen on the partner side (for mobile) |
| endpointUrl | String | The Mobage URL for executing this settlement transaction |
| deviceId | String | This is the type of device that was used to settle the account. PC: PC / Mobile: Mobile |
| published | Date | Date published |
| updated | Date | Date updated |
status column values
| Value | Description |
|---|---|
| 0 | Start of settlement |
| 1 | Error |
| 10 | Successful |
| 20 | Cancel |
PaymentEntry
| Name | Type | Description |
|---|---|---|
| paymentId | String | The id of the Payment object. |
| itemId | Integer | An identifier for partners to distinguish between items. |
| name | String | The name of the item. |
| unitPrice | Integer | The unit price of the item (Coin). |
| amount | Integer | The number of items purchased. |
| imageUrl | String | The URL of the item image. |
| description | String | A description of the item. |
Sample data
RESTful API
Acquiring payment information
GET /social/api/restful/v2/payment/99999/@self/@app/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
Host: app.sb.mbga-platform.jp
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"entry" : [
{
"itemId" : 1,
"amount" : 5,
"imageUrl" : "http://example.com/img/example.gif",
"paymentId" : "3E37C512-6891-35C1-84FE-B081B5443997",
"name" : "cash box",
"unitPrice" : 100,
"description" : "This is a legendary item that cannot be purchased at this moment."
}
],
"status" : 10,
"userId" : "sb.mbga.jp:99999",
"endpointUrl" : "",
"appId" : 99999999,
"callbackUrl" : "",
"finishUrl" : "",
"id" : "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"deviceId": "PC",
"published" : "2010-02-15T11:21:58",
"updated" : "2010-02-15T11:21:58"
}
Revision History
- 12/2010
- Initial Release.